Bug 1285851 - [guest-agent] Problem with negotiation of API version when GA is restarted
[guest-agent] Problem with negotiation of API version when GA is restarted
Status: CLOSED CURRENTRELEASE
Product: ovirt-guest-agent
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.5
: 1.0.11-5
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
: ZStream
Depends On:
Blocks: 1316916
  Show dependency treegraph
 
Reported: 2015-11-26 11:38 EST by Jiri Belka
Modified: 2016-04-21 10:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.6.5-1
Doc Type: Bug Fix
Doc Text:
Previously when the ovirt guest agent service has been restarted (e.g. the VM restarted or just the service) the negotiated protocol version between hypervisor and guest os dropped to 0 which caused that all newer features which would have been supported by the guest agent wouldn't be available. This bug fix resolves this issue.
Story Points: ---
Clone Of:
: 1316916 (view as bug list)
Environment:
Last Closed: 2016-04-21 10:35:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
tjelinek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54638 master MERGED Force negotiation of the API Version 2016-03-11 07:29 EST
oVirt gerrit 54642 ovirt-3.6 MERGED Force negotiation of the API Version 2016-03-11 07:31 EST

  None (edit)
Description Jiri Belka 2015-11-26 11:38:50 EST
Description of problem:

according to vfeenstr@ there's a problem with API version negotiation when GA is restarted. unfortunately logs got rotated on my testing VM but you can see part of the log in BZ1285834.

Version-Release number of selected component (if applicable):
3.6.2.iso and Windows

How reproducible:
?

Steps to Reproduce:
1. install windows and WGT 3.6.2
2. restart GA and see what's negotiated api version
3.

Actual results:
api was 0 till i migrated  the vm

Expected results:
should be 2 on this env

Additional info:
Comment 1 Michal Skrivanek 2016-04-05 04:10:46 EDT
do we have a build? I may have moved the bug to ON_QA by mistake
Comment 2 Jiri Belka 2016-04-18 08:24:17 EDT
ok, 1.0.11-6


[root@10-34-61-96 ~]# grep -Ei '(Stopping|Starting) oVirt|api version' /var/log/ovirt-guest-agent/ovirt-guest-agent.log.1 
MainThread::INFO::2016-04-18 14:19:19,019::ovirt-guest-agent::57::root::Starting oVirt guest agent
Dummy-2::DEBUG::2016-04-18 14:19:19,309::OVirtAgentLogic::193::root::Message timezone not supported by api version 0.
Dummy-2::DEBUG::2016-04-18 14:19:19,358::OVirtAgentLogic::193::root::Message os-info not supported by api version 0.
Dummy-1::DEBUG::2016-04-18 14:19:19,364::OVirtAgentLogic::193::root::Message timezone not supported by api version 0.
Dummy-1::DEBUG::2016-04-18 14:19:19,386::OVirtAgentLogic::193::root::Message os-info not supported by api version 0.
Dummy-1::INFO::2016-04-18 14:19:28,375::OVirtAgentLogic::112::root::API Version updated from 0 to 2
MainThread::INFO::2016-04-18 14:20:07,054::ovirt-guest-agent::102::root::Stopping oVirt guest agent
MainThread::INFO::2016-04-18 14:20:07,428::ovirt-guest-agent::57::root::Starting oVirt guest agent
Dummy-2::DEBUG::2016-04-18 14:20:07,603::OVirtAgentLogic::193::root::Message timezone not supported by api version 0.
Dummy-2::DEBUG::2016-04-18 14:20:07,624::OVirtAgentLogic::193::root::Message os-info not supported by api version 0.
Dummy-1::INFO::2016-04-18 14:20:16,641::OVirtAgentLogic::112::root::API Version updated from 0 to 2

Note You need to log in before you can comment on or make changes to this bug.